Bug 130966 - mozilla segfaults with mail window
mozilla segfaults with mail window
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-26 03:11 EDT by Klaus Steinberger
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
A ddd session with a stack backtrace (11.14 KB, text/plain)
2004-08-27 04:38 EDT, Klaus Steinberger
no flags Details
Now I got a better stackbacktrace (using directly gdb) (2.80 KB, text/plain)
2004-08-27 04:51 EDT, Klaus Steinberger
no flags Details

  None (edit)
Description Klaus Steinberger 2004-08-26 03:11:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.2)
Gecko/20040803

Description of problem:
The new version from Fedora Core 2 updates segfaults regularly. It is
probably a problem with the mail component of mozilla, as I did not
yet see the segfaults when I did not open the Mail window. If I have
the mail window open mozilla goes away with segfault after a few minutes.
The segfault happens even when I'm currently not in the mail window,
so I suspect it could be related to the checking for new mail.

Also there was no announcement for this mozilla Version on the
fedora-announce-list ?

Version-Release number of selected component (if applicable):
mozilla-1.7.2-0.2.0

How reproducible:
Always

Steps to Reproduce:
1. Open mozilla Mail window
2. Wait some minutes
3.
    

Actual Results:  segfault

Additional info:
Comment 1 Klaus Steinberger 2004-08-27 04:38:36 EDT
Created attachment 103155 [details]
A ddd session with a stack backtrace

I hope you can use this backtrace, ddd complained about a frozen mouse and
tried to continue mozilla, so mozilla already exited after the segfault and so
the backtrace could not access the process memory.
Comment 2 Klaus Steinberger 2004-08-27 04:51:35 EDT
Created attachment 103157 [details]
Now I got a better stackbacktrace (using directly gdb)

I now have a better stack backtrace. This backtrace aids my assumption that the
mail part of mozílla is the culprit, as the crash happens in
nsImapMailFolder::UpdateImapMailboxInfo

Sincerly,
Klaus
Comment 3 Matthew Miller 2005-04-26 12:37:02 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 4 John Thacker 2006-10-28 13:33:11 EDT
Closing per lack of response.  Note that FC1 and FC2 are no longer
supported even by Fedora Legacy.  Please install a still supported
version and retest.  If this still occurs on FC3 or FC4 and is a
security issue, please assign to that version and Fedora Legacy.  If it still
occurs on FC5 or FC6, please reopen and assign to the correct version.

Note You need to log in before you can comment on or make changes to this bug.